Lock-Anfrage erstellen (Vier-Augen-Prinzip)
Erstellt eine Lock-Anfrage für eine Periode. Ein zweiter Benutzer muss die Anfrage genehmigen, bevor die Periode endgültig gesperrt wird. Lock-Anfragen laufen nach 48 Stunden ab.
POST
/v1/periods/:period/lock Authorization
Authorization string header erforderlich API-Key im Format
ll_.... Übergabe als Bearer Token. Antworten
201
Erfolgreich
400
INVALID_INPUT Das Periodenformat ist ungültig.
404
NOT_FOUND Die angegebene Adjustierungsperiode existiert nicht.
409
PERIOD_ALREADY_LOCKED Die Periode ist bereits endgültig gesperrt.
409
LOCK_REQUEST_PENDING Es gibt bereits eine ausstehende Lock-Anfrage für diese Periode.
POST
cURL /v1/periods/:period/lock -cmd">curl --request -method">POST -punct">\
--url 'https://api.ledgerlou.de/v1/periods/:period/lock' -punct">\
--header 'Authorization: Bearer ll_your_key' 201 Response
JSON {
"request_id": "<string>",
"period": "<string>",
"status": "<string>",
"created_at": "<string>",
"message": "<string>"
}